MediaWiki 1.20

From mediawiki.org
Jump to navigation Jump to search
This page is a translated version of the page MediaWiki 1.20 and the translation is 100% complete.

MediaWiki 1.20, MediaWiki'nin eski bir sürümüdür. Bu, kullanıcıların ilgisini çeken önemli değişikliklerin bir özetidir. Değişikliklerin tam listesi için SÜRÜM NOTLARI dosyasına bakabilirsiniz. Nisan 2012'den itibaren artımlı "wmf" dalları aracılığıyla Wikimedia vikilerine dağıtıldı. Son sürüm 7 Kasım 2012'de yayımlandı, İndir sayfasına bakın.

Yenilikler

MediaWiki 1.20, Wikimedia siteleri için daha küçük iki haftada bir "1.20wmfX'" güncellemeleri yayımlanan tüm değişiklikleri içerir. Değişikliklerine genel bir bakış yalnızca 1.20wmf1 mevcuttur.

Fark

Renk görme eksikliği olmayan bir kişinin gördüğü bir renk gökkuşağı.
MediaWiki 1.20 artık renk körü kullanıcılar için bu gökkuşağı kadar anlamsız görünen farklı görüşlere sahip değil.

New diff view, greatly improved in clarity especially when viewing at small changes to pages (including whitespace changes) and colour-blind users. This fixes at last a major deficiency in MediaWiki's accessibility, already noted by Sunir Shah in 2001.[1]

With the latest version, spotting changes is much easier. It's speeded up workflow considerably: the kdenlive manual has many pages where small updates have been made, it would have taken me ages with the old diffs.Anne Wilson

Yeni özellikler

Uluslararasılaştırma

  • New languages supported: Emilian (egl), Tornedalen Finnish (fit), Mizo (lus), Santali (sat), Turoyo (tru)
  • New Cyrillic-Latin language converter for Uzbek (uz)

MediaWiki hizmetlileri için uyarı

  • Minimum PHP sürümü artık 5.3.2'dir.

Paketlenmiş uzantılar

Bu sürüm için yeni uzantı paketleri yapılmadı; entegre edilecek uzantılar için önerilerinizi ekleyin, sonraki sürüm için dikkate alınacaktır.

Ancak, MediaWiki Dil Uzantı Paketi artık dil ve çeviriyle ilgili uzantıların kolay kurulumu ve yükseltilmesi için kullanılabilir.

Kullanımdan kaldırmalar

The following extensions make use of one or more hooks added in MediaWiki 1.20.0 and may therefore require MediaWiki 1.20 for some or all of their functionalities:

Ayrıca bakınız